@echo off
REM Check 64bit or 32bit Architecture
Set RegQry=HKLM\Hardware\Description\System\CentralProcessor\0
REG Query %RegQry% > checkOS.txt
REM FOR /F "delims=" %%I IN ('ver') DO SET checkOS=%%I
 
Find /i "x86" < checkOS.txt > nul
If %ERRORLEVEL% EQU 1 (
	REM Echo 64 Bit (debug line)
	REM Set Path to match 64-bit architecture
	set detectedarchpath=64-bit
	set dpinstver=DPInst_x64.exe
) ELSE (
	REM Echo 32 Bit (debug line)
	REM Set Path to match 32-bit architecture
	set detectedarchpath=32-bit
	set dpinstver=DPInst_x86.exe
)

REM Check Windows Version
FOR /F "delims=" %%I IN ('ver') DO SET vers=%%I

if NOT "%vers%"=="%vers:2003=%" goto ver_xp
if NOT "%vers%"=="%vers:XP=%" goto ver_xp
if NOT "%vers%"=="%vers:6.0=%" goto ver_vista
if NOT "%vers%"=="%vers:6.1=%" goto ver_Win7
if NOT "%vers%"=="%vers:6.2=%" goto ver_Win8
if NOT "%vers%"=="%vers:6.3=%" goto ver_Win8
goto fail

REM OS SPECIFIC COMMANDS BELOW

:ver_Win8
REM Run Windows 8 specific commands here
REM echo OS Version: Windows 8 (debug line)
%dpinstver% /path USB2-E100\8\%detectedarchpath% /q
goto end

:ver_Win7
REM Run Windows 7 specific commands here
REM echo OS Version: Windows 7 (debug line)
%dpinstver% /path USB2-E100\7\%detectedarchpath% /q
goto end

:ver_Vista
REM Run Windows Vista specific commands here
REM echo OS Version: Windows Vista (debug line)
%dpinstver% /path USB2-E100\XPVista\%detectedarchpath% /q
goto end

:ver_XP
REM Run Windows XP specific commands here
REM echo OS Version: Windows XP (debug line)
%dpinstver% /path USB2-E100\XPVista\%detectedarchpath% /q
goto end

:fail
echo Windows version cannot be determined, or is not supported.
goto end

:success
echo Driver installed

:end
REM Cleanup
del checkOS.txt

pause